## org.eclipse.emf.databinding
Class EMFDataBindingContext

    java.lang.Object
      org.eclipse.core.databinding.DataBindingContext
          org.eclipse.emf.databinding.EMFDataBindingContext

    public class EMFDataBindingContext

extends DataBindingContext

PROVISIONAL This API is subject to arbitrary change, including renaming or removal.

Constructor Summary
`EMFDataBindingContext()`
`EMFDataBindingContext(Realm validationRealm)`

Method Summary
`protected UpdateValueStrategy` `createModelToTargetUpdateValueStrategy(IObservableValue fromValue, IObservableValue toValue)`
`protected UpdateValueStrategy` `createTargetToModelUpdateValueStrategy(IObservableValue fromValue, IObservableValue toValue)`

Methods inherited from class org.eclipse.core.databinding.DataBindingContext
`addBinding, addValidationStatusProvider, bindList, bindSet, bindValue, createModelToTargetUpdateListStrategy, createModelToTargetUpdateSetStrategy, createTargetToModelUpdateListStrategy, createTargetToModelUpdateSetStrategy, dispose, getBindings, getValidationRealm, getValidationStatusMap, getValidationStatusProviders, removeBinding, removeValidationStatusProvider, updateModels, updateTargets`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFDataBindingContext

    public EMFDataBindingContext()

### EMFDataBindingContext

    public EMFDataBindingContext(Realm validationRealm)

Method Detail

### createModelToTargetUpdateValueStrategy

    protected UpdateValueStrategy createModelToTargetUpdateValueStrategy(IObservableValue fromValue,
                                                                         IObservableValue toValue)

  Overrides:
    `createModelToTargetUpdateValueStrategy` in class `DataBindingContext`

### createTargetToModelUpdateValueStrategy

    protected UpdateValueStrategy createTargetToModelUpdateValueStrategy(IObservableValue fromValue,
                                                                         IObservableValue toValue)

  Overrides:
    `createTargetToModelUpdateValueStrategy` in class `DataBindingContext`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.